REM Before you launch this batch file, please update the following information:

REM **** INFORMATION TO UPDATE ****

REM Update the name of the ClearQuest database.
set CQDatabaseName=TU1

REM Update the hard drive letter where your local Rational products are installed.
set H=C:

REM Update the SuperUser login name for ClearQuest database and RequisitePro.
set U=admin

REM Update the path to your local Rational installation directory.
set P=\Program Files\Rational\

REM Update the name of your RequisitePro project.
set RP="Default"

REM Update the full name to your RequisitePro .rqs file.
REM Use a UNC path for a project on a nonlocal machine.
set RQS="\\Server\Project\Default\requisite\requisite.rqs"

REM Update the path to the cqi.hlp file.
REM Use a UNC path for a project on a nonlocal machine.
set Help="\\Server\Program Files\Rational\RequisitePro\help\cqi.hlp"

REM **** BEGINNING OF THE SCRIPT ****

%H%
cd %P%\common

REM Create the association between the 'Defect' ClearQuest record type and the RequisitePro attribute 'Defect' of the Feature requirement type.
ASCQISetup.exe -c %U% %CQDatabaseName% Defect Requirements_List Defects_list RAProject Modify "Associate Defects" %Help% 1 %RP% %RQS% FEAT Defect 2

pause

REM Create the association between the 'EnhancementRequest' ClearQuest record type and the attribute 'EnhancementRequest' of the Feature requirement type.
ASCQISetup.exe -c %U% %CQDatabaseName% EnhancementRequest Requirements_List EnhancementRequests_list RAProject Modify "Associate Enhancement Requests" %Help% 1 %RP% %RQS% FEAT EnhancementRequest 2

pause
